<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja klasy Drone</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d5/d02/class_drone.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#pri-methods">Metody prywatne</a> &#124;
<a href="../../d3/d46/class_drone-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja klasy Drone</div>  </div>
</div><!--header-->
<div class="contents">

<p>Modeluje pojęcie drona.  
 <a href="../../d5/d02/class_drone.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="../../da/dcb/drone_8hh_source.html">drone.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Drone</div>
<div class="dyncontent">
<div class="center"><img src="../../da/dbb/class_drone__inherit__graph.png" border="0" usemap="#_drone_inherit__map" alt="Inheritance graph"/></div>
<map name="_drone_inherit__map" id="_drone_inherit__map">
<area shape="rect" title="Modeluje pojęcie drona." alt="" coords="8,155,69,181"/>
<area shape="rect" href="../../d6/db5/class_scene.html" title="Modeluje pojęcie sceny." alt="" coords="8,229,69,256"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu." alt="" coords="5,80,72,107"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="7,5,70,32"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Drone:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/d21/class_drone__coll__graph.png" border="0" usemap="#_drone_coll__map" alt="Collaboration graph"/></div>
<map name="_drone_coll__map" id="_drone_coll__map">
<area shape="rect" title="Modeluje pojęcie drona." alt="" coords="51,336,113,363"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu." alt="" coords="49,260,115,287"/>
<area shape="rect" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="51,184,113,211"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ab692baa4be5c43b72990ce1b01bdc805"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a> ()</td></tr>
<tr class="memdesc:ab692baa4be5c43b72990ce1b01bdc805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy drone.  <a href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Więcej...</a><br /></td></tr>
<tr class="separator:ab692baa4be5c43b72990ce1b01bdc805"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a72b51743436557dbb7c3d4dae30f09c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">moveForward</a> (const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</td></tr>
<tr class="memdesc:a72b51743436557dbb7c3d4dae30f09c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na wprost pod zadanym kątem opadania lub wznoszenia.  <a href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">Więcej...</a><br /></td></tr>
<tr class="separator:a72b51743436557dbb7c3d4dae30f09c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad657730896d4edb8e9b6ecb5dec69413"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">rotate</a> (double angleChange, const int &amp;frames)</td></tr>
<tr class="memdesc:ad657730896d4edb8e9b6ecb5dec69413"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obraca drona o zadany kąt.  <a href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">Więcej...</a><br /></td></tr>
<tr class="separator:ad657730896d4edb8e9b6ecb5dec69413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_cuboid"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_cuboid')"><img src="../../closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="../../d2/d73/class_cuboid.html">Cuboid</a></td></tr>
<tr class="memitem:a1abf60e93d024b7a01ee5b1a48f1f08a inherit pro_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a> ()</td></tr>
<tr class="memdesc:a1abf60e93d024b7a01ee5b1a48f1f08a inherit pro_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu.">Cuboid</a>.  <a href="../../d2/d73/class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Więcej...</a><br /></td></tr>
<tr class="separator:a1abf60e93d024b7a01ee5b1a48f1f08a inherit pro_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99d72f5f198a082b067309b2e5847595 inherit pro_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">draw</a> (const std::string &amp;filename) const</td></tr>
<tr class="memdesc:a99d72f5f198a082b067309b2e5847595 inherit pro_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje do niego wszystkie wartości współrzędnych prostopadłościanu.  <a href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595">Więcej...</a><br /></td></tr>
<tr class="separator:a99d72f5f198a082b067309b2e5847595 inherit pro_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a> (double <a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>) const</td></tr>
<tr class="memdesc:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przelicza stopnie na radiany.  <a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Więcej...</a><br /></td></tr>
<tr class="separator:a392923e3a75a0710056ca4770af77ddc inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego.">Shape</a>.  <a href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Więcej...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Powiększa wektor przesunięcia.  <a href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Więcej...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obrócony obiekt geometryczny o ten który podalismy.  <a href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Więcej...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pro_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a56f1e93b78d78a6d64929288eee02610"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a> = &quot;solid/drone.dat&quot;</td></tr>
<tr class="memdesc:a56f1e93b78d78a6d64929288eee02610"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazawa pliku, w którym jest zapisany model drona.  <a href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">Więcej...</a><br /></td></tr>
<tr class="separator:a56f1e93b78d78a6d64929288eee02610"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">fileName</a></td></tr>
<tr class="memdesc:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazwa pliku, w którym jest zapisany model obiektu geometrycznego.  <a href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">Więcej...</a><br /></td></tr>
<tr class="separator:a555a7ac666dcb2bcd80c20371a54ce02 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a></td></tr>
<tr class="memdesc:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wektor przesunięcia obiektu.  <a href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">Więcej...</a><br /></td></tr>
<tr class="separator:a5a6c23c7dae9cfcdd93800c08968a921 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a></td></tr>
<tr class="memdesc:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kąt obrócenia figury geometrycznej.  <a href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">Więcej...</a><br /></td></tr>
<tr class="separator:a1642eab9d4f9d319a3d9a38d4a69cd90 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Metody prywatne</h2></td></tr>
<tr class="memitem:af8bc6a465e5d55fdbd0985a03431a40c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a> (double angleChange, double distance) const</td></tr>
<tr class="memdesc:af8bc6a465e5d55fdbd0985a03431a40c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wylicza wektor przesunięcia.  <a href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">Więcej...</a><br /></td></tr>
<tr class="separator:af8bc6a465e5d55fdbd0985a03431a40c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header pro_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_class_shape')"><img src="../../closed.png" alt="-"/>&#160;Statyczne atrybuty chronione dziedziczone z <a class="el" href="../../d7/da7/class_shape.html">Shape</a></td></tr>
<tr class="memitem:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">allCounter</a></td></tr>
<tr class="memdesc:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Licznik utworzonych obiektów geometrycznych.  <a href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">Więcej...</a><br /></td></tr>
<tr class="separator:afeff37aabb0fa474e8820ad5372df342 inherit pro_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="../../da/dcb/drone_8hh_source.html#l00009">9</a> pliku <a class="el" href="../../da/dcb/drone_8hh_source.html">drone.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ab692baa4be5c43b72990ce1b01bdc805"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab692baa4be5c43b72990ce1b01bdc805">&#9670;&nbsp;</a></span>Drone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Drone::Drone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../dd/dd8/drone_8cpp_source.html#l00026">26</a> pliku <a class="el" href="../../dd/dd8/drone_8cpp_source.html">drone.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="af8bc6a465e5d55fdbd0985a03431a40c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8bc6a465e5d55fdbd0985a03431a40c">&#9670;&nbsp;</a></span>calculateTranslation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::calculateTranslation </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- kąt wznoszenia lub opadania drona </td></tr>
    <tr><td class="paramname">distance</td><td>- odleglość na jaka ma sie przemieścić </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>Vector3D - wektor przesunięcia </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../dd/dd8/drone_8cpp_source.html#l00016">16</a> pliku <a class="el" href="../../dd/dd8/drone_8cpp_source.html">drone.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_cgraph.png" border="0" usemap="#d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_cgraph" alt=""/></div>
<map name="d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_cgraph" id="d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_cgraph">
<area shape="rect" title="Wylicza wektor przesunięcia." alt="" coords="5,5,204,32"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc" title="Przelicza stopnie na radiany." alt="" coords="252,5,411,32"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_icgraph.png" border="0" usemap="#d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_icgraph" alt=""/></div>
<map name="d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_icgraph" id="d5/d02/class_drone_af8bc6a465e5d55fdbd0985a03431a40c_icgraph">
<area shape="rect" title="Wylicza wektor przesunięcia." alt="" coords="395,5,593,32"/>
<area shape="rect" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="188,5,347,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76" title="Realizuje animacje ruchu." alt="" coords="5,5,140,32"/>
</map>
</div>

</div>
</div>
<a id="a72b51743436557dbb7c3d4dae30f09c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72b51743436557dbb7c3d4dae30f09c4">&#9670;&nbsp;</a></span>moveForward()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::moveForward </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>distance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>frames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- kąt ruchu </td></tr>
    <tr><td class="paramname">distance</td><td>- odległośc </td></tr>
    <tr><td class="paramname">frames</td><td>- liczba klatek potrzebna do wykonania animacji </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../dd/dd8/drone_8cpp_source.html#l00003">3</a> pliku <a class="el" href="../../dd/dd8/drone_8cpp_source.html">drone.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_cgraph.png" border="0" usemap="#d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_cgraph" alt=""/></div>
<map name="d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_cgraph" id="d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_cgraph">
<area shape="rect" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="5,56,164,83"/>
<area shape="rect" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c" title="Wylicza wektor przesunięcia." alt="" coords="212,5,411,32"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595" title="Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d..." alt="" coords="258,56,365,83"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc" title="Powiększa wektor przesunięcia." alt="" coords="247,107,375,133"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc" title="Przelicza stopnie na radiany." alt="" coords="459,5,617,32"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_icgraph.png" border="0" usemap="#d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_icgraph" alt=""/></div>
<map name="d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_icgraph" id="d5/d02/class_drone_a72b51743436557dbb7c3d4dae30f09c4_icgraph">
<area shape="rect" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="188,5,347,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76" title="Realizuje animacje ruchu." alt="" coords="5,5,140,32"/>
</map>
</div>

</div>
</div>
<a id="ad657730896d4edb8e9b6ecb5dec69413"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad657730896d4edb8e9b6ecb5dec69413">&#9670;&nbsp;</a></span>rotate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Drone::rotate </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>frames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- kąt obrotu </td></tr>
    <tr><td class="paramname">frames</td><td>- liczba klatek potrzebna do wykonania animacji </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../dd/dd8/drone_8cpp_source.html#l00010">10</a> pliku <a class="el" href="../../dd/dd8/drone_8cpp_source.html">drone.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_cgraph.png" border="0" usemap="#d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_cgraph" alt=""/></div>
<map name="d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_cgraph" id="d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_cgraph">
<area shape="rect" title="Obraca drona o zadany kąt." alt="" coords="5,31,113,57"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html#a99d72f5f198a082b067309b2e5847595" title="Zapisuje współrzędne prostopadłościanu do pliku Otwiera plik o zadanej nazwie, a następnie zapisuje d..." alt="" coords="178,5,285,32"/>
<area shape="rect" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0" title="Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obróc..." alt="" coords="161,56,301,83"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_icgraph.png" border="0" usemap="#d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_icgraph" alt=""/></div>
<map name="d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_icgraph" id="d5/d02/class_drone_ad657730896d4edb8e9b6ecb5dec69413_icgraph">
<area shape="rect" title="Obraca drona o zadany kąt." alt="" coords="291,5,399,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778" title="Realizuje animacje ruchu." alt="" coords="108,5,243,32"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a56f1e93b78d78a6d64929288eee02610"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56f1e93b78d78a6d64929288eee02610">&#9670;&nbsp;</a></span>kDroneFile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kDroneFile = &quot;solid/drone.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../da/dcb/drone_8hh_source.html#l00023">23</a> pliku <a class="el" href="../../da/dcb/drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="../../da/dcb/drone_8hh_source.html">drone.hh</a></li>
<li><a class="el" href="../../dd/dd8/drone_8cpp_source.html">drone.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d02/class_drone.html">Drone</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
